Create a Bridge Wallet
curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/wallets \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '{}'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/wallets"
payload = {}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "bw_123",
"chain": "solana",
"address": "9kV3ZMehKVyxfHKCcaDLye3P9HHw2MP4jtQa2gKBUmCs",
"created_at": "2023-11-22T21:31:30.515Z",
"updated_at": "2023-11-22T21:31:30.515Z"
}
Bridge Wallets
Create a Bridge Wallet
POST
/
customers
/
{customerID}
/
wallets
Create a Bridge Wallet
Authorizations
Headers
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Body
application/json
Bridge Wallet to be created
Available options:
base, ethereum, solana, tempo, tron, xdc Response
Bridge Wallet created
Available options:
base, ethereum, solana, tempo, tron, xdc A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*The blockchain address of the Bridge Wallet
When present, transfers sourced from this wallet must include an initiation object on the create request. Omitted for wallets that do not require initiation data.
Time of creation of the Bridge Wallet
Time of most recent update of the Bridge Wallet
Was this page helpful?